# Create payment intent This endpoint allows to create a payment intent, which is a call that contains all the details of a transaction, and assign it to a device. **POST** `/point/integration-api/devices/{deviceid}/payment-intents` ## Request parameters ### Header - `x-test-scope` (string, optional) This is a temporary header. It should be used only in the development stage with the value "sandbox". When going to production, it should be removed ### Path - `deviceId` (string, required) Identifier of the device that will receive the payment intent - `amount` (integer, optional) A positive integer representing how much to charge. The value must have two decimal places in the integer part (e.g., 175 to charge $1.75). - `additional_info` (object, optional) Payment intent additional info. - `additional_info.external_reference` (string, optional) Alphanumeric value that functions as a transaction identificator in your application. It will be returned in the Webhook notification. - `additional_info.print_on_terminal` (boolean, optional) A boolean value that determines if you want to print the ticket on the device. - `additional_info.ticket_number` (string, optional) An alphanumeric value to identify the invoice or ticket number. It will be printed on the device ticket ## Response parameters - `id` (string, optional) Payment intent identifier. - `device_id` (string, optional) Identifier of the device to which the payment intent was assigned. - `amount` (integer, optional) Payment intent amount. - `additional_info` (object, optional) Payment intent additional info. - `additional_info.external_reference` (string, optional) Alphanumeric value that functions as a transaction identificator in your application. It will be returned in the Webhook notification. - `additional_info.print_on_terminal` (boolean, optional) A boolean value that determines if you want to print the ticket on the device. - `additional_info.ticket_number` (string, optional) An alphanumeric value to identify the invoice or ticket number. It will be printed on the device ticket ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad request - Field is missing o incorrect | | 401 | 401 | Unauthorized Token is invalid | | 403 | 403 | Forbidden - Integrator isn't registered | | 409 | 409 | Conflict-error - Device has a queued payment intent | | 500 | 500 | Internal server error | ## Request example ### cURL ```bash curl -X POST \ 'https://api.mercadopago.com/point/integration-api/devices/{deviceid}/payment-intents' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "amount": 1500, "additional_info": { "external_reference": "some-reference-from-your-application", "print_on_terminal": true, "ticket_number": "S0392JED" } }' ``` ## Response example ```json { "id": "7f25f9aa-eea6-4f9c-bf16-a341f71ba2f1", "device_id": "PAX_A910__SMARTPOS1234345545", "amount": 1500, "additional_info": { "external_reference": "someone-reference-from-your-application", "print_on_terminal": true, "ticket_number": "S0392JED" } } ```